CREATE TABLE hwm_allocation_attribute_f (
    ALLOCATION_ATTRIBUTE_ID    NUMBER(18, 0),
    DATA_SOURCE_USAGE_ID       NUMBER(18, 0),
    ALLOCATION_RULE_ID         NUMBER(18, 0)    NOT NULL,
    EFFECTIVE_START_DATE       DATE         ,
    EFFECTIVE_END_DATE         DATE         ,
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)     NOT NULL,
    ENTERPRISE_ID              NUMBER(18, 0)    NOT NULL,
    ALLOCATION_ID              NUMBER(18, 0)    NOT NULL,
    UI_ATRB_SEQUENCE           NUMBER(9, 0)     NOT NULL,
    TM_ATRB_FLD_ID             NUMBER(18, 0)    NOT NULL,
    CREATED_BY                 VARCHAR2(256)    NOT NULL,
    CREATION_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128),
    MODULE_ID                  VARCHAR2(128),
    ALLOCATION_ATTRIBUTE_ID    NUMBER(18, 0),
    DATA_SOURCE_USAGE_ID       NUMBER(18, 0),
    ALLOCATION_RULE_ID         NUMBER(18, 0)    NOT NULL,
    EFFECTIVE_START_DATE       DATE         ,
    EFFECTIVE_END_DATE         DATE         ,
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)     NOT NULL,
    ENTERPRISE_ID              NUMBER(18, 0)    NOT NULL,
    ALLOCATION_ID              NUMBER(18, 0)    NOT NULL,
    UI_ATRB_SEQUENCE           NUMBER(9, 0)     NOT NULL,
    TM_ATRB_FLD_ID             NUMBER(18, 0)    NOT NULL,
    CREATED_BY                 VARCHAR2(256)    NOT NULL,
    CREATION_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128),
    MODULE_ID                  VARCHAR2(128),
    CONSTRAINT pk_hwm_allocation_attribute_f PRIMARY KEY (ALLOCATION_ATTRIBUTE_ID, EFFECTIVE_START_DATE, EFFECTIVE_END_DATE, ALLOCATION_ATTRIBUTE_ID, EFFECTIVE_START_DATE, EFFECTIVE_END_DATE)
);
